Package net.shibboleth.shared.spring.config

# Class IdentifiableBeanPostProcessor

java.lang.Object
net.shibboleth.shared.spring.config.IdentifiableBeanPostProcessor

All Implemented Interfaces:
  `BeanPostProcessor`

Direct Known Subclasses:
  `IdentifiableBeanPostProcessor`

public class IdentifiableBeanPostProcessor extends Object implements BeanPostProcessor
Pre-processes `IdentifiableComponent` beans by setting the bean ID to the bean name.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`IdentifiableBeanPostProcessor()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`postProcessAfterInitialization(Object bean, String beanName)`
`Object`
`postProcessBeforeInitialization(Object bean, String beanName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger.

## Constructor Details

### IdentifiableBeanPostProcessor

public IdentifiableBeanPostProcessor()

## Method Details

### postProcessBeforeInitialization

@Nonnull public Object postProcessBeforeInitialization(@Nonnull Object bean, @Nonnull String beanName)

Specified by:
  `postProcessBeforeInitialization` in interface `BeanPostProcessor`

### postProcessAfterInitialization

@Nonnull public Object postProcessAfterInitialization(@Nonnull Object bean, @Nonnull String beanName)

Specified by:
  `postProcessAfterInitialization` in interface `BeanPostProcessor`